JBoss API: Class URLWizzard

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class URLWizzard

    java.lang.Object
      |
      +--org.jboss.deployment.URLWizzard

public class URLWizzard
extends java.lang.Object

Encapsulates URL bases copy and jar file operations. Very scratchy! Any improvements are welcome!

Version:
  $Revision: 1.7.6.1 $
Author:
  Daniel Schulze , Andreas Schaefer

Constructor Summary
`URLWizzard()`

Method Summary
`static java.net.URL` | `createTempDir(java.net.URL _baseDir, java.lang.String _prefix)` creates a directory like the File.createTempFile method
`static java.net.URL` | `createTempFile(java.net.URL _baseDir, java.lang.String _prefix, java.lang.String _suffix)` creates a temporary file like File.createTempFile()
`static void` | `deleteTree(java.net.URL _dir)` deletes the given file:/...
`static java.net.URL` | `download(java.net.URL _src, java.net.URL _dest)` copies the source to the destination url.
`static java.net.URL` | `downloadAndInflate(java.net.URL _src, java.net.URL _dest)` inflates the given zip file into the given directory
`static java.net.URL` | `downloadAndInflateTemporary(java.net.URL _src, java.net.URL _destDir, java.lang.String _prefix)` inflates the given zip file into a directory created in the dest directory with the given prefix
`static void` | `downloadAndPack(java.net.URL _src, java.net.URL _dest)` packs the source directory the _src url points to to a jar archiv at the _dest position
`static java.net.URL` | `downloadAndPackTemporary(java.net.URL _src, java.net.URL _destDir, java.lang.String _prefix, java.lang.String _suffix)` packs the source directory the _src url points to to a jar archiv at the position composed from _destDir, _prefix and _suffix
`static java.net.URL` | `downloadTemporary(java.net.URL _src, java.net.URL _destDirectory, java.lang.String _prefix, java.lang.String _suffix)` copies the source to the destination.
`static void` | `main(java.lang.String[] _args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLWizzard

    public URLWizzard()

Method Detail

### main

    public static void main(java.lang.String[] _args)
                     throws java.lang.Exception

### download

    public static java.net.URL download(java.net.URL _src,
                                        java.net.URL _dest)
                                 throws java.io.IOException

  copies the source to the destination url. As destination are currently only file:/... urls supported

### downloadTemporary

    public static java.net.URL downloadTemporary(java.net.URL _src,
                                                 java.net.URL _destDirectory,
                                                 java.lang.String _prefix,
                                                 java.lang.String _suffix)
                                          throws java.io.IOException

  copies the source to the destination. The destination is composed from the _destDirectory, _prefix and _suffix

### downloadAndPack

    public static void downloadAndPack(java.net.URL _src,
                                       java.net.URL _dest)
                                throws java.io.IOException

  packs the source directory the _src url points to to a jar archiv at the _dest position

### downloadAndPackTemporary

    public static java.net.URL downloadAndPackTemporary(java.net.URL _src,
                                                        java.net.URL _destDir,
                                                        java.lang.String _prefix,
                                                        java.lang.String _suffix)
                                                 throws java.io.IOException

  packs the source directory the _src url points to to a jar archiv at the position composed from _destDir, _prefix and _suffix

### downloadAndInflate

    public static java.net.URL downloadAndInflate(java.net.URL _src,
                                                  java.net.URL _dest)
                                           throws java.io.IOException

  inflates the given zip file into the given directory

### downloadAndInflateTemporary

    public static java.net.URL downloadAndInflateTemporary(java.net.URL _src,
                                                           java.net.URL _destDir,
                                                           java.lang.String _prefix)
                                                    throws java.io.IOException

  inflates the given zip file into a directory created in the dest directory with the given prefix

### createTempDir

    public static java.net.URL createTempDir(java.net.URL _baseDir,
                                             java.lang.String _prefix)
                                      throws java.io.IOException

  creates a directory like the File.createTempFile method

### createTempFile

    public static java.net.URL createTempFile(java.net.URL _baseDir,
                                              java.lang.String _prefix,
                                              java.lang.String _suffix)
                                       throws java.io.IOException

  creates a temporary file like File.createTempFile()

### deleteTree

    public static void deleteTree(java.net.URL _dir)
                           throws java.io.IOException

  deletes the given file:/... url recursively

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.